Package org.eclipse.net4j.util.properties

# Class Property.WithArguments<RECEIVER>

java.lang.Object
org.eclipse.net4j.util.properties.Property<RECEIVER>
org.eclipse.net4j.util.properties.Property.WithArguments<RECEIVER>

Enclosing class:
  `Property<RECEIVER>`

public abstract static class Property.WithArguments<RECEIVER> extends Property<RECEIVER>
Describes a property of a receiver object and extracts its value with given arguments.

Since:
  3.16
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.properties.Property

`Property.WithArguments<RECEIVER>`

## Constructor Summary

Constructors
Constructor
Description
`WithArguments(String name)`
`WithArguments(String name, String label, String description)`
`WithArguments(String name, String label, String description, String category)`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`eval(RECEIVER receiver)`
Returns the receiver's value for this property, either a `String` or a boxed primitive type.
`protected abstract Object`
`eval(RECEIVER receiver, Object[] args)`
`boolean`
`testValue(RECEIVER receiver, Object[] args, Object expectedValue)`

### Methods inherited from class org.eclipse.net4j.util.properties.Property

`getCategory, getDescription, getLabel, getName, getValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WithArguments

public WithArguments(String name, String label, String description, String category)

### WithArguments

public WithArguments(String name, String label, String description)

### WithArguments

public WithArguments(String name)

## Method Details

### testValue

public boolean testValue(RECEIVER receiver, Object[] args, Object expectedValue)

Overrides:
  `testValue` in class `Property<RECEIVER>`

### eval

protected final Object eval(RECEIVER receiver)
Description copied from class: `Property`
Returns the receiver's value for this property, either a `String` or a boxed primitive type. Return values of all other types are converted with `Property.toString()` in `Property.eval(Object)`.

Specified by:
  `eval` in class `Property<RECEIVER>`

### eval

protected abstract Object eval(RECEIVER receiver, Object[] args)